Show / Hide Table of Contents

# Class InviteDeleteAuditLogData

Contains a piece of audit log data related to an invite removal.

##### Inheritance

System.Object
InviteDeleteAuditLogData

##### Implements

IAuditLogData

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class InviteDeleteAuditLogData : IAuditLogData

### Properties

| Improve this Doc View Source

#### ChannelId

Gets the ID of the channel this invite is linked to.

##### Declaration

    public ulong ChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A System.UInt64 representing the channel snowflake identifier that the invite points to.

| Improve this Doc View Source

#### Code

Gets the unique identifier for this invite.

##### Declaration

    public string Code { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the invite code (e.g. `FTqNnyS`).

| Improve this Doc View Source

#### Creator

Gets the user that created this invite.

##### Declaration

    public IUser Creator { get; }

##### Property Value

Type | Description
--- | ---
IUser | A user that created this invite.

| Improve this Doc View Source

#### MaxAge

Gets the time (in seconds) until the invite expires.

##### Declaration

    public int MaxAge { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | An System.Int32 representing the time in seconds until this invite expires.

| Improve this Doc View Source

#### MaxUses

Gets the max number of uses this invite may have.

##### Declaration

    public int MaxUses { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | An System.Int32 representing the number of uses this invite may be accepted until it is removed from the guild; `null` if none is set.

| Improve this Doc View Source

#### Temporary

Gets a value that indicates whether the invite is a temporary one.

##### Declaration

    public bool Temporary { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if users accepting this invite will be removed from the guild when they log off; otherwise `false`.

| Improve this Doc View Source

#### Uses

Gets the number of times this invite has been used.

##### Declaration

    public int Uses { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | An System.Int32 representing the number of times this invite has been used.

### Implements

IAuditLogData